#!/usr/bin/perl

use strict;
use lib qw(.);
use printcal;

my $calscr=printcal::calscr;

my ($scrpath, $qrystr)=split(/\?/, $ENV{'REQUEST_URI'});
$scrpath=~s/\/$//;
my @scrary=split(/\//, $ENV{'SCRIPT_NAME'});
$scrpath=~s/$scrary[$#scrary]/$calscr/;

read (STDIN, $qrystr, $ENV{'CONTENT_LENGTH'}) if($qrystr eq "");
my @qryary=split('&', $qrystr) if($qrystr ne "");
my ($name, $value, %param);
foreach my $var (@qryary){
        ($name, $value)=split('=', $var);
        $param{$name}=$value;
}
$param{'align'}="center" if($param{'align'} eq "");
$param{'apr'}=1 if($param{'apr'} eq "");
$param{'col'}=1 if($param{'col'} eq "");
$param{'script'}=printcal::schedscr if($param{'script'} eq "");
$param{'header'}="no" if($param{'header'} eq "");
$param{'footer'}="no" if($param{'footer'} eq "");

print "Content-type: text/html; charset=UTF-8\n\n";

print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>Calendar Parameter Input Page</TITLE>\n";
print "</HEAD>\n\n";
print "<BODY>\n";
print "<DIV ALIGN=CENTER>\n";
print "<B>今月から前後何ヶ月のカレンダーの表示したいか0以上の数字で入力して下さい</B><P>\n";
print "<FORM METHOD=GET ACTION=\"".$scrpath."\">";
print "<TABLE>\n";
print "<TR><TD><B>表示位置</B></TD></TR>\n";
print "<TR><TD><SELECT name=align>\n";
print "<OPTION value=left";
print " selected" if($param{'align'} eq "left");
print ">left</OPTION>\n";
print "<OPTION value=center";
print " selected" if($param{'align'} eq "center");
print ">center</OPTION>\n";
print "<OPTION value=right";
print " selected" if($param{'align'} eq "right");
print ">right</OPTION>\n";
print "</SELECT></TD></TR>\n";
print "<TR><TD><B>当月より前後</B></TD></TR>\n";
print "<TR><TD><INPUT type=text name=apr value=".$param{'apr'}." size=4 istyle=4>ヶ月を表示</TD></TR>\n";
print "<TR><TD><B>1行当り</B></TD></TR>\n";
print "<TR><TD><INPUT type=text name=col value=".$param{'col'}." size=4 istyle=4>ヶ月を表示</TD></TR>\n";
print "<TR><TD><B>スクリプトファイル名</B><BR>(スケジュール登録用)<BR>(使用しない場合は\"no\")</TD></TR>\n";
print "<TR><TD><INPUT type=text value=".$param{'script'}." name=script istyle=3></TD></TR>\n";
print "<TR><TD><B>ヘッダーファイル名</B><BR>(絶対パス指定も可)<BR>(使用しない場合は\"no\")</TD></TR>\n";
print "<TR><TD><INPUT type=text name=header value=".$param{'header'}." istyle=3></TD></TR>\n";
print "<TR><TD><B>フッターファイル名</B><BR>(絶対パス指定も可)<BR>(使用しない場合は\"no\")</TD></TR>\n";
print "<TR><TD><INPUT type=text name=footer value=".$param{'footer'}." istyle=3></TD></TR>\n";
print "</TABLE><P>\n";
print "<INPUT type=submit value=\"カレンダー表示\">\n";
print "</FORM>\n";
print "</DIV>\n";
print "</BODY>\n";
print "</HTML>\n";

