#!/usr/bin/perl

use strict;
use lib qw(.);
use printcal;

my $script=printcal::schsubscr;

print "Content-type: text/html; charset=UTF-8\n\n";
my ($data, $name, $value, %param);
my @qrystr=split('&', $ENV{'QUERY_STRING'}) if($ENV{'QUERY_STRING'} ne "");
foreach my $ix (@qrystr){
	($name, $value)=split('=', $ix);
	$param{$name}=$value;
}
my $dirpath=$ENV{'PATH_TRANSLATED'};
$dirpath=~s/\/$//;
my $filename=Date::Simple->new($param{'year'}, $param{'month'}, $param{'day'})->format('%F');
if( -f "$dirpath/$filename"){
	open FILE, "$dirpath/$filename" or die;
	while (my $line=<FILE>){
		$data.=$line;
	}
	close FILE;
}

my $scrname=$ENV{'SCRIPT_NAME'};
my @scrary=split(/\//, $scrname);
my $scrfile=$scrary[$#scrary];
$scrname=~s/$scrfile/$script/;

my $pathinfo=$ENV{'PATH_INFO'};
$pathinfo=~s/\/$//;
$scrname.=$pathinfo;

print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>Schedule Input PAGE</TITLE>\n";
print "</HEAD>\n\n";
print "<BODY>\n";
print "<DIV ALIGN=$param{'align'}>\n" if(defined $param{'align'});
print "<FORM METHOD=\"POST\" ACTION=\"$scrname\">\n";
print "<textarea name=\"data\" rows=\"11\" cols=\"26\">$data</textarea><P>\n";
print "<TABLE>\n<TR>\n<TH>\n";
print "<input type=\"hidden\" value=\"$param{'year'}\" name=\"year\">\n";
print "<input type=\"hidden\" value=\"$param{'month'}\" name=\"month\">\n";
print "<input type=\"hidden\" value=\"$param{'day'}\" name=\"day\">\n";
print "<input type=\"hidden\" value=\"$scrfile\" name=\"script\">\n";
print "<input type=\"hidden\" value=\"write\" name=\"edit\">\n";
print "<input type=\"hidden\" value=\"$param{'align'}\" name=\"align\">\n" if(defined $param{'align'});
print "<input type=\"hidden\" value=\"$param{'apr'}\" name=\"apr\">\n" if(defined $param{'apr'});
print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n" if(defined $param{'col'});
print "<input type=\"submit\" value=\"更新\">\n";
print "</FORM>\n";
print "</TH>\n<TH>&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TH>\n";
print "<TH>\n";
print "<FORM METHOD=\"POST\" ACTION=\"$scrname\">\n";
print "<input type=\"hidden\" value=\"$param{'year'}\" name=\"year\">\n";
print "<input type=\"hidden\" value=\"$param{'month'}\" name=\"month\">\n";
print "<input type=\"hidden\" value=\"$param{'day'}\" name=\"day\">\n";
print "<input type=\"hidden\" value=\"$scrfile\" name=\"script\">\n";
print "<input type=\"hidden\" value=\"del\" name=\"edit\">\n";
print "<input type=\"hidden\" value=\"$param{'align'}\" name=\"align\">\n" if(defined $param{'align'});
print "<input type=\"hidden\" value=\"$param{'apr'}\" name=\"apr\">\n" if(defined $param{'apr'});
print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n" if(defined $param{'col'});
print "<input type=\"submit\" value=\"削除\">\n";
print "</FORM>\n";
print "</TH>\n";
$scrname=$ENV{'SCRIPT_NAME'};
$scrname=~s/$scrfile/$param{'script'}/;
$scrname.=$pathinfo;
$param{'nyear'}=Date::Simple->new()->format('%Y');
$param{'nmonth'}=Date::Simple->new()->format('%m');
if($param{'script'} ne $script){
	print "<TH>&nbsp\;&nbsp\;&nbsp\;&nbsp\;</TH>\n<TH>\n";
	print "<FORM METHOD=\"GET\" ACTION=\"$scrname\">\n";
	print "<input type=\"hidden\" value=\"$param{'nyear'}\" name=\"year\">\n";
	print "<input type=\"hidden\" value=\"$param{'nmonth'}\" name=\"month\">\n";
	print "<input type=\"hidden\" value=\"$scrfile\" name=\"script\">\n";
	print "<input type=\"hidden\" value=\"$param{'align'}\" name=\"align\">\n" if(defined $param{'align'});
	print "<input type=\"hidden\" value=\"$param{'apr'}\" name=\"apr\">\n";
	print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n";
	print "<input type=\"submit\" value=\"戻る\">";
	print "</FORM>\n";
	print "</TH>\n";
}
print "</TR>\n</TABLE>\n";
print "</DIV>\n" if(defined $param{'align'});
print "</BODY>\n";
print "</HTML>\n";
exit 0;
