#!/usr/bin/perl

use strict;
use lib qw(.);
use printcal;

my $script=printcal::calscr;

print "Content-type: text/html; charset=UTF-8\n\n";
my ($qrystr, $name, $value, %param);
read (STDIN, $qrystr, $ENV{'CONTENT_LENGTH'});
my @qryary=split('&', $qrystr);
foreach my $var (@qryary){
	($name, $value)=split('=', $var);
	$value=~s/%([A-Fa-f0-9][A-Fa-f0-9])/pack('c', hex($1))/ge;
	$value=~s/\r\n/\n/g;
	$param{$name}=$value;
}
$param{'nyear'}=Date::Simple->new()->format('%Y');
$param{'nmonth'}=Date::Simple->new()->format('%m');
print "<HTML>\n";
print "<HEAD>\n";
print "<TITLE>Schedule Confirmation PAGE</TITLE>\n";
print "</HEAD>\n\n";
print "<BODY>\n";
print "<DIV ALIGN=$param{'align'}>\n" if(defined $param{'align'});
my $dirpath=$ENV{'PATH_TRANSLATED'};
$dirpath=~s/\/$//;
my $filename=Date::Simple->new($param{'year'}, $param{'month'}, $param{'day'})->format('%F');
if($param{'edit'} eq "write"){
	open FILE, "> $dirpath/$filename" or die;
	flock FILE, 2;
	print FILE $param{'data'};
	flock FILE, 8;
	close FILE;
}
if($param{'edit'} eq "del"){
	system("/bin/rm -f $dirpath/$filename");
}
printcal::printcal($param{'year'}, $param{'month'}, $param{'script'}, $param{'align'}, $param{'apr'}, $param{'col'});
my $scrname=$ENV{'SCRIPT_NAME'};
my @scrary=split(/\//, $scrname);
$scrname=~s/$scrary[$#scrary]/$script/;
if(defined $ENV{'PATH_INFO'}){
	my $pathinfo=$ENV{'PATH_INFO'};
	$pathinfo=~s/\/$//;
	$scrname.=$pathinfo;
}
print "<P>\n";
print "<FORM METHOD=\"GET\" ACTION=\"$scrname\">\n";
print "<input type=\"hidden\" value=\"$param{'nyear'}\" name=\"year\">\n";
print "<input type=\"hidden\" value=\"$param{'nmonth'}\" name=\"month\">\n";
print "<input type=\"hidden\" value=\"$param{'script'}\" name=\"script\">\n";
print "<input type=\"hidden\" value=\"$param{'align'}\" name=\"align\">\n" if(defined $param{'align'});
print "<input type=\"hidden\" value=\"$param{'apr'}\" name=\"apr\">\n" if(defined $param{'apr'});
print "<input type=\"hidden\" value=\"$param{'col'}\" name=\"col\">\n" if(defined $param{'col'});
print "<input type=\"submit\" value=\"戻る\">";
print "</FORM>\n";
print "</DIV>\n" if(defined $param{'align'});
print "</BODY>\n";
print "</HTML>\n";
exit 0;
